Package: java.lang.System

## Interface Logger

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `void` | `debug(String msg)` Convenience method for logging debug level messages with the platform logger.
    `void` | `debug(String format, Object params)` Convenience method for logging debug level messages with the platform logger.
    `void` | `debug(String msg, Throwable thrown)` Convenience method for logging debug level messages with the platform logger.
    `void` | `error(String msg)` Convenience method for logging error level messages with the platform logger.
    `void` | `error(String format, Object params)` Convenience method for logging error level messages with the platform logger.
    `void` | `error(String msg, Throwable thrown)` Convenience method for logging error level messages with the platform logger.
    `void` | `info(String msg)` Convenience method for logging info level messages with the platform logger.
    `void` | `info(String format, Object params)` Convenience method for logging info level messages with the platform logger.
    `void` | `info(String msg, Throwable thrown)` Convenience method for logging info level messages with the platform logger.
    `void` | `trace(String msg)` Convenience method for logging trace level messages with the platform logger.
    `void` | `trace(String format, Object params)` Convenience method for logging trace level messages with the platform logger.
    `void` | `trace(String msg, Throwable thrown)` Convenience method for logging trace level messages with the platform logger.
    `void` | `warn(String msg)` Convenience method for logging warning level messages with the platform logger.
    `void` | `warn(String format, Object params)` Convenience method for logging warning level messages with the platform logger.
    `void` | `warn(String msg, Throwable thrown)` Convenience method for logging warning level messages with the platform logger.

- - ### Methods Detail

    - #### public void debug(String msg)

      Convenience method for logging debug level messages with the platform logger.

      Parameters:

    - #### public void debug(String format, Object params)

      Convenience method for logging debug level messages with the platform logger.

      Parameters:

    - #### public void debug(String msg, Throwable thrown)

      Convenience method for logging debug level messages with the platform logger.

      Parameters:

    - #### public void error(String msg)

      Convenience method for logging error level messages with the platform logger.

      Parameters:

    - #### public void error(String format, Object params)

      Convenience method for logging error level messages with the platform logger.

      Parameters:

    - #### public void error(String msg, Throwable thrown)

      Convenience method for logging error level messages with the platform logger.

      Parameters:

    - #### public void info(String msg)

      Convenience method for logging info level messages with the platform logger.

      Parameters:

    - #### public void info(String format, Object params)

      Convenience method for logging info level messages with the platform logger.

      Parameters:

    - #### public void info(String msg, Throwable thrown)

      Convenience method for logging info level messages with the platform logger.

      Parameters:

    - #### public void trace(String msg)

      Convenience method for logging trace level messages with the platform logger.

      Parameters:

    - #### public void trace(String format, Object params)

      Convenience method for logging trace level messages with the platform logger.

      Parameters:

    - #### public void trace(String msg, Throwable thrown)

      Convenience method for logging trace level messages with the platform logger.

      Parameters:

    - #### public void warn(String msg)

      Convenience method for logging warning level messages with the platform logger.

      Parameters:

    - #### public void warn(String format, Object params)

      Convenience method for logging warning level messages with the platform logger.

      Parameters:

    - #### public void warn(String msg, Throwable thrown)

      Convenience method for logging warning level messages with the platform logger.

      Parameters: